Skip to main content
POST
/
v4
/
appointment
/
{id}
/
cancel
Cancel an appointment
curl --request POST \
  --url https://api.example.com/v4/appointment/{id}/cancel \
  --header 'Content-Type: application/json' \
  --header 'x-meetergo-api-user-id: <api-key>' \
  --data '
{
  "reason": "Schedule conflict",
  "attendeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cancelAll": false,
  "cancelEntireSeries": false
}
'
{
  "id": "<string>",
  "secret": "<string>",
  "ics": "<string>",
  "meetingInfo": {
    "name": "<string>",
    "description": "<string>",
    "enableRedirect": true,
    "redirect": "<string>",
    "passEventDetailsToRedirect": true,
    "duration": 123,
    "channel": "local",
    "customChannelName": "<string>",
    "customChannelLink": "<string>",
    "groupBooking": true,
    "showAvailableSlots": true,
    "enrichInvitee": true,
    "confirmationButton": {
      "useConfirmationButton": true,
      "text": "<string>",
      "color": "<string>",
      "link": "<string>"
    },
    "bufferBefore": 123,
    "bufferAfter": 123,
    "color": {}
  },
  "hostingInfo": {
    "mainHost": "<string>",
    "meetingLink": "<string>",
    "googleEventId": "<string>",
    "googleConnectionSub": "<string>",
    "calendarConnectionId": "<string>",
    "zoomMeetingId": 123,
    "connectChannelId": "<string>",
    "wherebyMeetingId": "<string>",
    "calendarSyncProviders": {
      "id": "<string>",
      "type": "<string>",
      "hostId": "<string>",
      "eventId": "<string>",
      "calendarId": "<string>"
    }
  },
  "cancel": {
    "actionSource": "attendee",
    "actionAt": "<string>",
    "actionBy": "<string>",
    "reason": "<string>"
  },
  "crmOptions": {
    "hubspotContactSync": true,
    "hubspotContactStage": "<string>",
    "hubspotCompanySync": true,
    "hubspotCompanyStage": "<string>",
    "hubspotCompanyMatchingField": "<string>",
    "hubspotDealSync": true,
    "hubspotDealStage": "<string>",
    "hubspotPipelineId": "<string>",
    "pipedriveDealSync": true,
    "pipedriveContactSync": true,
    "pipedrivePipelineId": 123,
    "pipedriveStageId": 123,
    "pipedriveUseExistingDeal": true,
    "centralStationContactSync": true,
    "centralStationTaskSync": true,
    "centralStationDealSync": true,
    "centralStationPipelineId": 123,
    "centralStationStageId": 123,
    "linkandoSyncEnabled": true,
    "linkandoPlaybookId": 123,
    "linkandoTemplateId": 123,
    "evalancheEnabled": true,
    "klicktippEnabled": true,
    "getResponseEnabled": true,
    "getResponseCampaignId": "<string>",
    "brevoEnabled": true,
    "sevdeskEnabled": true,
    "sevdeskCategoryId": 123,
    "smartWeContactSync": true,
    "smartWeCompanySync": true,
    "smartWeDealSync": true,
    "smartWeDealStage": "<string>",
    "salesforceSyncEnabled": true,
    "salesforceCaseSync": true,
    "salesforceLeadSync": true,
    "salesforceOpportunitySync": true,
    "salesforceLeadStatus": "<string>",
    "salesforceCaseStatus": "<string>",
    "salesforceOpportunityStage": "<string>",
    "salesforceDefaultObjectType": "<string>",
    "internalCrmPipelineId": {},
    "internalCrmStageId": {},
    "crmOptInFieldName": {}
  },
  "start": "<string>",
  "end": "<string>",
  "isCancelled": true,
  "attendees": [
    {
      "id": "<string>",
      "secret": "<string>",
      "bringalongEmails": [
        "<string>"
      ],
      "notes": {},
      "receiveReminders": true,
      "language": "<string>",
      "timezone": "<string>",
      "noShow": true,
      "dataPolicyAccepted": true,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "email": "<string>",
      "fullname": "<string>",
      "firstname": "<string>",
      "lastname": "<string>",
      "phone": "<string>",
      "doubleOptIn": "<string>",
      "deletedAt": "<string>"
    }
  ],
  "attendeeIds": [
    "<string>"
  ],
  "roundRobinEntries": [
    {
      "id": 123,
      "createdAt": "<string>",
      "userId": "<string>",
      "groupId": "<string>",
      "appointmentId": "<string>",
      "queueId": "<string>",
      "selectionReason": "<string>"
    }
  ],
  "meetingTypeId": "<string>",
  "hostIds": [
    "<string>"
  ],
  "scheduledReminderIds": [
    "<string>"
  ],
  "companyId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "resolvableErrors": [
    {
      "errorCode": "<string>"
    }
  ],
  "rescheduledAt": "<string>",
  "location": "<string>",
  "deletedAt": "<string>",
  "paymentId": "<string>",
  "note": "<string>",
  "transcription": "<string>",
  "summary": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.meetergo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act as when using API Key authentication (required with API Key)

Path Parameters

id
string
required

Appointment ID (UUID)

Body

application/json
reason
string

Reason for cancellation. Included in notification emails sent to participants.

Maximum string length: 500
Example:

"Schedule conflict"

attendeeId
string<uuid>

For group bookings: the ID of the attendee to remove. The appointment continues for remaining attendees. If omitted on a group booking, cancelAll must be set to true.

cancelAll
boolean
default:false

Required for group bookings when attendeeId is not provided. Confirms intent to cancel the entire group appointment for all attendees. Ignored for non-group bookings.

cancelEntireSeries
boolean
default:false

If true and the appointment is part of a recurring series, cancels all future occurrences in addition to this one. Defaults to false.

Response

The cancelled appointment

id
string
required

Appointment ID

secret
string
required

Secret key for appointment authentication

ics
string
required

ICS calendar data

meetingInfo
object
required

Meeting information including title, duration, etc.

hostingInfo
object
required

Hosting information including links and integration IDs

cancel
object
required

Cancellation information

crmOptions
object
required

CRM integration options

start
string
required

Appointment start time (ISO string)

end
string
required

Appointment end time (ISO string)

isCancelled
boolean
required

Whether the appointment is cancelled

attendees
object[]
required

Appointment attendees without relation properties

attendeeIds
string[]
required

Array of attendee IDs

roundRobinEntries
object[]
required

Round robin entries for this appointment

meetingTypeId
string
required

Meeting type ID

hostIds
string[]
required

Array of host user IDs

scheduledReminderIds
string[]
required

Array of scheduled reminder IDs

companyId
string
required

Company ID this appointment belongs to

createdAt
string
required

Creation timestamp

updatedAt
string
required

Last update timestamp

resolvableErrors
object[]
required

Appointment resolvable errors (error codes only)

rescheduledAt
string

When the appointment was rescheduled

location
string

Meeting location

deletedAt
string

Soft deletion timestamp

paymentId
string

Payment ID if this is a paid appointment

note
string

Appointment note

transcription
string | null

Full meeting transcription in markdown format

summary
string | null

AI-generated summary of the meeting in markdown format